public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: add the getrlimit test to upstream repo
@ 2026-09-11 13:18 Milos Malik
  0 siblings, 0 replies; only message in thread
From: Milos Malik @ 2026-09-11 13:18 UTC (permalink / raw)
  To: git-commits

            A new commit has been pushed.

            Repo   : tests/selinux
            Branch : pr775-checkpolicy-revdeps
            Commit : ca5dfafc7f3da42c10f1a8eda372769e3d09fb9f
            Author : Milos Malik <mmalik@redhat.com>
            Date   : 2020-12-15T12:52:18+00:00
            Stats  : +145/-0 in 4 file(s)
            URL    : https://src.fedoraproject.org/tests/selinux/c/ca5dfafc7f3da42c10f1a8eda372769e3d09fb9f?branch=pr775-checkpolicy-revdeps

            Log:
            add the getrlimit test to upstream repo

There are no changes in the TC functionality.
Moving the downstream TC to upstream repo.

---
diff --git a/selinux-policy/getrlimit-permission/Makefile b/selinux-policy/getrlimit-permission/Makefile
new file mode 100644
index 0000000..3b5008b
--- /dev/null
+++ b/selinux-policy/getrlimit-permission/Makefile
@@ -0,0 +1,69 @@
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+#   Makefile of /CoreOS/selinux-policy/Sanity/getrlimit-permission
+#   Description: Is the getrlimit permission defined? Are appropriate checks applied?
+#   Author: Milos Malik <mmalik@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+#   Copyright (c) 2020 Red Hat, Inc. All rights reserved.
+#
+#   This copyrighted material is made available to anyone wishing
+#   to use, modify, copy, or redistribute it subject to the terms
+#   and conditions of the GNU General Public License version 2.
+#
+#   This program is distributed in the hope that it will be
+#   useful, but WITHOUT ANY WARRANTY; without even the implied
+#   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+#   PURPOSE. See the GNU General Public License for more details.
+#
+#   You should have received a copy of the GNU General Public
+#   License along with this program; if not, write to the Free
+#   Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+#   Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+export TEST=/CoreOS/selinux-policy/Sanity/getrlimit-permission
+export TESTVERSION=1.0
+
+BUILT_FILES=
+
+FILES=$(METADATA) runtest.sh Makefile PURPOSE
+
+.PHONY: all install download clean
+
+run: $(FILES) build
+	./runtest.sh
+
+build: $(BUILT_FILES)
+	chmod a+x runtest.sh
+	chcon -t bin_t runtest.sh
+
+clean:
+	rm -f *~ $(BUILT_FILES)
+
+include /usr/share/rhts/lib/rhts-make.include
+
+$(METADATA): Makefile
+	@echo "Owner:           Milos Malik <mmalik@redhat.com>" > $(METADATA)
+	@echo "Name:            $(TEST)" >> $(METADATA)
+	@echo "TestVersion:     $(TESTVERSION)" >> $(METADATA)
+	@echo "Path:            $(TEST_DIR)" >> $(METADATA)
+	@echo "Description:     Is the getrlimit permission defined? Are appropriate checks applied?" >> $(METADATA)
+	@echo "Type:            Sanity" >> $(METADATA)
+	@echo "TestTime:        10m" >> $(METADATA)
+	@echo "RunFor:          selinux-policy" >> $(METADATA)
+	@echo "Requires:        audit libselinux libselinux-utils policycoreutils selinux-policy selinux-policy-targeted setools-console util-linux" >> $(METADATA)
+	@echo "RhtsRequires:    library(selinux-policy/common)" >> $(METADATA)
+	@echo "Environment:     AVC_ERROR=+no_avc_check" >> $(METADATA)
+	@echo "Priority:        Normal" >> $(METADATA)
+	@echo "License:         GPLv2" >> $(METADATA)
+	@echo "Confidential:    no" >> $(METADATA)
+	@echo "Destructive:     no" >> $(METADATA)
+	@echo "Releases:        -RHEL4 -RHEL5 -RHEL6" >> $(METADATA)
+	@echo "Bug:             1549691" >> $(METADATA) # Fedora
+	@echo "Bug:             1549772" >> $(METADATA) # RHEL-8
+
+	rhts-lint $(METADATA)
+

diff --git a/selinux-policy/getrlimit-permission/PURPOSE b/selinux-policy/getrlimit-permission/PURPOSE
new file mode 100644
index 0000000..db88606
--- /dev/null
+++ b/selinux-policy/getrlimit-permission/PURPOSE
@@ -0,0 +1,5 @@
+PURPOSE of /CoreOS/selinux-policy/Sanity/getrlimit-permission
+Author: Milos Malik <mmalik@redhat.com>
+
+Is the getrlimit permission defined? Are { getrlimit } SELinux denials triggered when certain access happens?
+

diff --git a/selinux-policy/getrlimit-permission/main.fmf b/selinux-policy/getrlimit-permission/main.fmf
new file mode 100644
index 0000000..057ae31
--- /dev/null
+++ b/selinux-policy/getrlimit-permission/main.fmf
@@ -0,0 +1,2 @@
+path: /selinux-policy/getrlimit-and-similar
+tier: 2

diff --git a/selinux-policy/getrlimit-permission/runtest.sh b/selinux-policy/getrlimit-permission/runtest.sh
new file mode 100755
index 0000000..846434e
--- /dev/null
+++ b/selinux-policy/getrlimit-permission/runtest.sh
@@ -0,0 +1,69 @@
+#!/bin/bash
+# vim: dict=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+#   runtest.sh of /CoreOS/selinux-policy/Sanity/getrlimit-permission
+#   Description: Is the getrlimit permission defined? Are appropriate checks applied?
+#   Author: Milos Malik <mmalik@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+#   Copyright (c) 2020 Red Hat, Inc. All rights reserved.
+#
+#   This copyrighted material is made available to anyone wishing
+#   to use, modify, copy, or redistribute it subject to the terms
+#   and conditions of the GNU General Public License version 2.
+#
+#   This program is distributed in the hope that it will be
+#   useful, but WITHOUT ANY WARRANTY; without even the implied
+#   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+#   PURPOSE. See the GNU General Public License for more details.
+#
+#   You should have received a copy of the GNU General Public
+#   License along with this program; if not, write to the Free
+#   Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+#   Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+# Include Beaker environment
+. /usr/bin/rhts-environment.sh || exit 1
+. /usr/share/beakerlib/beakerlib.sh || exit 1
+
+PACKAGE="selinux-policy"
+
+rlJournalStart
+    rlPhaseStartSetup
+        rlRun "rlImport 'selinux-policy/common'"
+        rlSESatisfyRequires
+        rlAssertRpm ${PACKAGE}
+        rlAssertRpm ${PACKAGE}-targeted
+        rlAssertRpm util-linux
+
+        rlSESetEnforce
+        rlSEStatus
+        rlSESetTimestamp
+        sleep 2
+    rlPhaseEnd
+
+    rlPhaseStartTest "bz#1549691 + bz#1549772"
+        rlRun "seinfo -cprocess -x | grep getrlimit"
+        rlSESearchRule "allow unconfined_t init_t : process { getrlimit }"
+        rlSESearchRule "allow unconfined_service_t init_t : process { getrlimit }"
+    rlPhaseEnd
+
+    rlPhaseStartTest "real scenario"
+        rlSESearchRule "allow smbcontrol_t init_t : process { getrlimit }" 1
+        rlRun "rm -f ./prlimit"
+        rlRun "cp /usr/bin/prlimit ."
+        rlRun "chcon system_u:object_r:smbcontrol_exec_t:s0 ./prlimit"
+        rlRun "./prlimit -p 1" 1
+    rlPhaseEnd
+
+    rlPhaseStartCleanup
+        sleep 2
+        rlSECheckAVC --expect 'type=AVC.*denied.*getrlimit.*prlimit.*smbcontrol_t.*init_t.*tclass=process'
+    rlPhaseEnd
+rlJournalPrintText
+rlJournalEnd
+

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2026-09-11 13:18 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:18 [tests/selinux] pr775-checkpolicy-revdeps: add the getrlimit test to upstream repo Milos Malik

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox